> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyra.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a Server

> Create a server for an event



## OpenAPI

````yaml post /activity/sessions/{workspaceId}/{eventId}/server
openapi: 3.0.3
info:
  title: Hyra API
  description: Hyra Monolythic API
  version: 2.0.0
servers:
  - url: https://api.hyra.io
security: []
paths:
  /activity/sessions/{workspaceId}/{eventId}/server:
    post:
      tags:
        - Activity
      description: Create a server for an event
      parameters:
        - schema:
            type: string
          in: path
          name: workspaceId
          required: true
        - schema:
            type: string
          in: path
          name: eventId
          required: true
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  source:
                    type: string
                  groups:
                    type: array
                    items:
                      type: object
                      properties:
                        _id:
                          type: string
                        name:
                          type: string
                        priority:
                          type: number
                        roles:
                          type: array
                          items:
                            type: object
                            properties:
                              _id:
                                type: string
                              user_id:
                                type: string
                              name:
                                type: string
                        attendees:
                          type: array
                          items:
                            type: object
                            properties:
                              _id:
                                type: string
                              user_id:
                                type: string
                  created_by:
                    type: string
                  _id:
                    type: string
                  createdAt:
                    type: string
                    format: date-time
                  updatedAt:
                    type: string
                    format: date-time
                required:
                  - source
                  - groups
                  - created_by
                  - _id
                  - createdAt
                  - updatedAt
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````